@charset "UTF-8";
/* common sp */
html {
    font-size: 62.5%;
}

/* fontsize font-size: clamp(最小値, 基準値, 最大値); */
:root {
    --fontsize-S-sp:clamp(1.4rem,4.5vw,1.6rem);
    --fontsize-M-sp:clamp(1.6rem,5.5vw,2.0rem);
    --fontsize-L-sp:clamp(2.0rem,6.0vw,2.4rem);
    --fontsize-S-pc:clamp(1.6rem,2.5vw,1.8rem);
    --fontsize-M-pc:clamp(1.8rem,3.0vw,2.2rem);
    --fontsize-L-pc:clamp(2.6rem,3.5vw,3.4rem);
    --fontsize-marquee-sp:clamp(6.0rem,12.0vw,8.0rem);
    --fontsize-marquee-pc:clamp(12.0rem,7.0vw,18.0rem);
}

@font-face {
  font-family:
    'YDWaosagi';
    src: url('../font/YDWaosagi.woff2') format('woff2'),
        url('../font/YDWaosagi.woff') format('woff'),
        url("../font/YDWaosagi.otf") format("opentype");
}

body {
    font-family: 
    "Noto Sans JP",
    'YDWaosagi', 
    "Inter",
    sans-serif;
    font-style: normal;
    font-size: var(--fontsize-S-sp);
    font-weight: 400;
    line-height: 1.5;
    color: #1F3F3C;
    background-color: #FFFFFF;
}

main {
    overflow: hidden;
}

img {
    max-width: 100%;
    height: auto;
}

/* fadeIn */
.fadeIn {
    transform: translate(0,80px);
    opacity: 0;
    transition: 0.8s;
}

.fadeIn.animated {
    transform: translate(0,0);
    opacity: 1;
}


/* ===============
header sp
================= */
.header {
    width: 100%;
    padding: 2vh 5.3%;
    position: fixed;
    top: 0;
    z-index: 100;
    transition: 0.4s;
    background-color: #FFFFFF;
}

.header__inner {
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.rogo {
    width: 40px;
    margin-right: 8px;
}

.header__title,
.nav__title,
.header__title span {
    font-family: 'YDWaosagi';
    font-size: var(--fontsize-M-sp);
    font-weight: 700;
    line-height: 1.5;
} 

.header__title a,
.nav__title a {
    display: flex;
    align-items: center;
}

 /* nav sp */
.nav {
    width: 100%;
    height: 100vh;
    padding: 20px 5.3%;
    background-color: #B9E365;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    transform: translateX(-100%);
    transition: 0.4s;
}

.nav__header {
    height: 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav__list {
    padding: 0 8%;
    margin-top: 80px;
}

.nav__item {
    display: block;
    width: 100%;
    height: 40px;
    margin: 0 auto;
    padding: 6px 10px;
    margin-top: 26px;
    font-family: 'YDWaosagi';
    font-size: var(--fontsize-M-sp);
    color: #FFFFFF;
    position: relative;
}

.nav__list--sp .nav__item::after {
    content: '';
    display: inline-block;
    width: 20px;
    height: 20px;
    background-image: url(../img/instagram.svg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    transform: translateY(5px);
    margin-left: 8px;
}

.btn {
    display: block;
    max-width: 300px;
    height: 50px;
    border-radius: 25px;
    padding: 12px 0;
    margin: 0 auto;
    background-color: #00843B;
    font-family: 'YDWaosagi';
    color: #FFFFFF;
    line-height: 1;
    text-align: center;
    position: relative;
    transition: ease .2s;

    margin-top: 75px;
    margin: 75px auto 0;
}

.btn:hover {
    opacity: 0.8;
}

.btn span {
    font-size: var(--fontsize-M-sp);
}

.btn--nav::before {
    content: '';
    display: inline-block;
    width: 20px;
    height: 20px;
    background-image: url(../img/mail.svg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    transform: translateY(5px);
    margin-right: 8px;
}


/* .nav.active */
.nav.active {
    transform: translateX(0);
}

/* ==================
header__btn 
===================*/
.header__btn{
    position: relative;
    cursor: pointer;
    width: 50px;
    height: 50px;
}

.header__btn span{
    display: inline-block;
    transition: 0.4s;
    position: absolute;
    left: 12px;
    height: 2px;
    width: 60%;
    background-color: black;
}

.header__btn span:nth-of-type(1) {
    top:14px; 
}

.header__btn span:nth-of-type(2) {
    top:24px;
}

.header__btn span:nth-of-type(3) {
    top:34px;
}

.header__btn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 64%;
    z-index: 100;
}

.header__btn.active span:nth-of-type(2) {
    opacity: 0;
}

.header__btn.active span:nth-of-type(3){
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 64%;
    z-index: 100;
}

/* ================
header pc 1000px
================== */
@media screen and (min-width:1024px) {
.header {
    padding: 2.4vh 4.2%;
}

/* nav pc */
.nav {
    width: auto;
    height: auto;
    background: transparent;
    padding: 0;
    position: static;
    z-index: 100;
    transform: translateX(0);
    display: flex;
    align-items: baseline;
}

.nav__header {
    display: none;
}

.nav__list {
    padding: 0;
    margin-top: 0;
    display: flex;
    align-items: center;
    gap: 0 30px;
}

.nav__item {
    display: inline-block;
    height: auto;
    padding: 0;
    margin: 0;
    color: #1F3F3C;
    white-space: nowrap;
}

.nav__item::after {
    display: none;
}

.btn {
    width: 100%;
    margin-top: 0;
    margin: 0;
    height: 42px;
    padding: 10px 20px;
    font-size: var(--fontsize-S-pc);
    margin-left: 30px;
}

.btn--nav::before {
    transform: translateY(3px);
}

.header__title span {
    font-size: var(--fontsize-M-pc);
    line-height: 2.2;
}

.rogo {
    width: 60px;
    margin-right: 8px;
}

.header__btn ,
.nav__list--sp {
    display: none;
}
}

/* ===============
footer sp
================ */
.footer {
    font-family: 'YDWaosagi';
    font-size: var(--fontsize-S-sp);
}

.footer-container {
    text-align: center;
}

.rogo--footer {
    margin: 0 0 2% 0;
}

.menu {
    max-width: 300px;
    margin: 0 auto;
}

.menu__list {
    padding-left: 20%;
    margin-top: 50px;
}

.menu__item {
    margin-top: 20px;
}

.menu__item--line {
    text-decoration: underline;
    text-underline-offset: 4px;
}

.copy {
    font-size: 1.4rem;
    text-align: center;
    font-family: "Noto Sans JP";
    margin: 20% 0 20px;
}

/* ===============
footer pc
================ */
@media screen and (min-width:1024px) {
.footer {
    font-size: var(--fontsize-S-pc);
}

.footer__title {
    font-size: var(--fontsize-M-pc);
}

.menu {
    max-width: 900px;
    margin: 0 auto;
}

.menu__list {
    padding-left: 0;
    margin-top: 10%;
    display: flex;
    justify-content: center;
}

.menu__item {
    margin-top: 0;
    padding-left: 4%;
}

.copy {
    font-size: 1.6rem;
    margin: 10% 0 20px;
}
}